Bug 625131 - Need to update console integration with grid
Need to update console integration with grid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide (Show other bugs)
Development
All Linux
high Severity high
: 1.3
: ---
Assigned To: Lana Brindley
Jan Sarenik
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 12:47 EDT by Robert Rati
Modified: 2013-10-23 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-08-18 12:47:30 EDT
Description of problem:
Need to update section '3.2 Using the MRG Management Console with MRG Grid' for changes in 1.3:

No longer edit condor_config.local.  Instead, have the user create the following files:
Schedulers: /etc/condor/config.d/40SchedulerPlugins
Central Managers: /etc/condor/config.d/40CMPlugins
Execute Nodes: /etc/condor/config.d/40StartdPlugins
All Nodes: /etc/condor/config.d/40MasterPlugins 
           /etc/condor/config.d/40QMF

In 40MasterPlugins:
MASTER.PLUGINS = $(LIB)/plugins/MgmtMasterPlugin-plugin.so

In 40QMF:
QMF_BROKER_HOST = hostname

In 40StartdPlugins:
STARTD.PLUGINS = $(LIB)/plugins/MgmtStartdPlugin-plugin.so

QMF_BROKER_HOST needs to be set to the hostname of the machine running the broker that the console is talking to.

Provide a link/note about configuration using the Remote Configuration feature.  Mention that the above configuration is contained within features whose names begin with the keyword Console (so ConsoleExecuteNode, ConsoleMaster, etc)



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2010-08-18 15:07:58 EDT
Should be:
Schedulers: /etc/condor/config.d/40SchedulerPlugins.config
Central Managers: /etc/condor/config.d/40CMPlugins.config
Execute Nodes: /etc/condor/config.d/40StartdPlugins.config
All Nodes: /etc/condor/config.d/40MasterPlugins.config
           /etc/condor/config.d/40QMF.config
Comment 2 Pete MacKinnon 2010-08-26 11:43:09 EDT
QUEUE_ALL_USERS_TRUSTED = TRUE needs to be set in the Scheduler file in order to enable submissions from the cumin console.

QMF_PUBLISH_SUBMISSIONS = FALSE needs to be set in the Scheduler file if a JobServer daemon will be deployed.
Comment 3 Lana Brindley 2010-08-26 23:53:58 EDT
 <section id="sect-Management_Console_Installation_Guide-Using_the_CONSOLE-Using_the_CONSOLE_with_GRID">
		<title>Using the &CONSOLE; with &GRID;</title>
		 <orderedlist id="orde-Management_Console_Installation_Guide-Using_the_CONSOLE_with_GRID-Connecting_MRG_Grid_to_the_CONSOLE">
			<title>Connecting MRG Grid to the &CONSOLE;</title>
			 <para>
				Be sure to install MRG Grid using the procedures located in the <citetitle>Grid Installation Guide</citetitle>
			</para>
			 <listitem>
				<para>
					Create the following new files in <filename>/etc/condor/config.d/</filename>:
				</para>
				 <itemizedlist>
					<listitem>
						<para>
							Schedulers: <filename>40SchedulerPlugins.config</filename>
						</para>
					</listitem>
					 <listitem>
						<para>
							Central Managers: <filename>40CMPlugins.config</filename>
						</para>
					</listitem>
					 <listitem>
						<para>
							Execute Nodes: <filename>40StartdPlugins.config</filename>
						</para>
					</listitem>
					 <listitem>
						<para>
							All nodes: <filename>40MasterPlugins.config</filename> and <filename>40QMF.config</filename>
						</para>
					</listitem>

				</itemizedlist>
				 
<screen>
# cd /etc/condor/config.d/
# touch 40SchedulerPlugins.config 40CMPlugins.config 40StartdPlugins.config 40MasterPlugins.config 40QMF.config
</screen>

			</listitem>
			 <listitem>
				<para>
					Edit the new <emphasis>40SchedulerPlugins</emphasis> file to add the following line:
				</para>
				 
<screen>
QUEUE_ALL_USERS_TRUSTED = TRUE
</screen>
				 <para>
					If a JobServer daemon will be used, also add the following line:
				</para>
				 
<screen>
QMF_PUBLISH_SUBMISSIONS = FALSE
</screen>

			</listitem>
			 <listitem>
				<para>
					Edit the new <emphasis>40StartdPlugins</emphasis> file to add the following line:
				</para>
				 
<screen>
STARTD.PLUGINS = $(LIB)/plugins/MgmtStartdPlugin-plugin.so
</screen>

			</listitem>
			 <listitem>
				<para>
					Edit the new <emphasis>40MasterPlugins</emphasis> file to add the following line:
				</para>
				 
<screen>
MASTER.PLUGINS = $(LIB)/plugins/MgmtMasterPlugin-plugin.so
</screen>

			</listitem>
			 <listitem>
				<para>
					Edit the new <emphasis>40QMF</emphasis> file to add the following line, with the hostname of the machine running the broker:
				</para>
				 
<screen>
QMF_BROKER_HOST = <replaceable>hostname</replaceable></screen>

			</listitem>

		</orderedlist>
		 <note>
			<title>Note</title>
			 <para>
				&GRID; can also be configured remotely using the remote configuration feature. For more information about the remote configuration feature and how to use it, see the <citetitle>&GRID; User Guide</citetitle>.
			</para>

		</note>

	</section>
Comment 4 Robert Rati 2010-08-30 13:31:51 EDT
# touch 40SchedulerPlugins.config 40CMPlugins.config 40StartdPlugins.config 40MasterPlugins.config 40QMF.config - Implies to do this command on all nodes imo.  Not sure how to better present the info.  Maybe split out the touch commands to go with each file?

We're putting more than plugin information into the files now, so suggest changing file names (also to better match remote configuration) to:

Schedulers: /etc/condor/config.d/40ConsoleScheduler.config
Central Managers: /etc/condor/config.d/40ConsoleCM.config
Execute Nodes: /etc/condor/config.d/40ConsoleStartd.config
All Nodes: /etc/condor/config.d/40CondoleMaster.config
           /etc/condor/config.d/40QMF.config


On all schedulers, edit the 40ConsoleScheduler.config to add the following lines:
SCHEDD.PLUGINS = $(LIB)/plugins/MgmtScheddPlugin-plugin.so
QUEUE_ALL_USERS_TRUSTED = TRUE

If a JobServer daemon will be used, also add the following line:
QMF_PUBLISH_SUBMISSIONS = FALSE


On all central managers, edit the 40ConsoleCM.config o add the following lines:
COLLECTOR.PLUGINS = $(LIB)/plugins/MgmtCollectorPlugin-plugin.so
NEGOTIATOR.PLUGINS = $(LIB)/plugins/MgmtNegotiatorPlugin-plugin.so


On all execute nodes, edit the new 40ConsoleStartd file to add the following line:
STARTD.PLUGINS = $(LIB)/plugins/MgmtStartdPlugin-plugin.so


The note about the QMF_BROKER_HOST wasn't added/was lost.  Need to add something along the lines of:
QMF_BROKER_HOST needs to be set to the hostname of the machine running the
broker that the console is talking to.
Comment 5 Jan Sarenik 2010-09-06 04:03:20 EDT
Robert, rpm -ql condor-qmf reveals that there are currently five plugins.

/usr/lib64/condor/plugins/MgmtCollectorPlugin-plugin.so
/usr/lib64/condor/plugins/MgmtMasterPlugin-plugin.so
/usr/lib64/condor/plugins/MgmtNegotiatorPlugin-plugin.so
/usr/lib64/condor/plugins/MgmtScheddPlugin-plugin.so
/usr/lib64/condor/plugins/MgmtStartdPlugin-plugin.so

They are all mentioned in the comments of this bug (though no
comment contains them all together).

Despite current docs on doc-stage mention this BZ in Changelog,
there are only two of Condor QMF plugins mentioned in section
"3.2 Using the MRG Management Console with MRG Grid".
Comment 6 Lana Brindley 2010-09-13 22:50:48 EDT
(In reply to comment #4)
> # touch 40SchedulerPlugins.config 40CMPlugins.config 40StartdPlugins.config
> 40MasterPlugins.config 40QMF.config - Implies to do this command on all nodes
> imo.  Not sure how to better present the info.  Maybe split out the touch
> commands to go with each file?
> 
> We're putting more than plugin information into the files now, so suggest
> changing file names (also to better match remote configuration) to:
> 
> Schedulers: /etc/condor/config.d/40ConsoleScheduler.config
> Central Managers: /etc/condor/config.d/40ConsoleCM.config
> Execute Nodes: /etc/condor/config.d/40ConsoleStartd.config
> All Nodes: /etc/condor/config.d/40CondoleMaster.config
>            /etc/condor/config.d/40QMF.config
> 

<listitem>
	<para>
		Create the following new files in <filename>/etc/condor/config.d/</filename>:
	</para>
	 <itemizedlist>
		<listitem>
			<para>
				Schedulers: <filename>40ConsoleScheduler.config</filename>
			</para>
		</listitem>
		 <listitem>
			<para>
				Central Managers: <filename>40ConsoleCM.config</filename>
			</para>
		</listitem>
		 <listitem>
			<para>
				Execute Nodes: <filename>40ConsoleStartd.config</filename>
			</para>
		</listitem>
		 <listitem>
			<para>
				All nodes: <filename>40ConsoleMaster.config</filename> and <filename>40QMF.config</filename>
			</para>
		</listitem>
	</itemizedlist>
				 
<screen>
# cd /etc/condor/config.d/
# touch 40ConsoleScheduler.config
# touch 40ConsoleCM.config
# touch 40ConsoleStartd.config
# touch 40ConsoleMaster.config
# touch 40QMF.config
</screen>

> 
> On all schedulers, edit the 40ConsoleScheduler.config to add the following
> lines:
> SCHEDD.PLUGINS = $(LIB)/plugins/MgmtScheddPlugin-plugin.so
> QUEUE_ALL_USERS_TRUSTED = TRUE

<para>
	On all schedulers, edit the new <emphasis>40ConsoleScheduler</emphasis> file to add the following line:
</para>
				 
<programlisting>
SCHEDD.PLUGINS = $(LIB)/plugins/MgmtScheddPlugin-plugin.so
QUEUE_ALL_USERS_TRUSTED = TRUE
</programlisting>

> 
> If a JobServer daemon will be used, also add the following line:
> QMF_PUBLISH_SUBMISSIONS = FALSE

<para>
	If a JobServer daemon will be used, also add the following lines:
</para>
				 
<programlisting>
QMF_PUBLISH_SUBMISSIONS = FALSE
</programlisting>

> 
> 
> On all central managers, edit the 40ConsoleCM.config o add the following lines:
> COLLECTOR.PLUGINS = $(LIB)/plugins/MgmtCollectorPlugin-plugin.so
> NEGOTIATOR.PLUGINS = $(LIB)/plugins/MgmtNegotiatorPlugin-plugin.so
> 

<listitem>
	<para>
		On all central managers, edit the new <emphasis>40ConsoleScheduler</emphasis> file to add the following lines:
	</para>
				 
<programlisting>
COLLECTOR.PLUGINS = $(LIB)/plugins/MgmtCollectorPlugin-plugin.so
NEGOTIATOR.PLUGINS = $(LIB)/plugins/MgmtNegotiatorPlugin-plugin.so
</programlisting>
</listitem>

> 
> On all execute nodes, edit the new 40ConsoleStartd file to add the following
> line:
> STARTD.PLUGINS = $(LIB)/plugins/MgmtStartdPlugin-plugin.so
> 

<listitem>
	<para>
		On all execute nodes, edit the new <emphasis>40ConsoleStartd</emphasis> file to add the following line:
	</para>
				 
<programlisting>
STARTD.PLUGINS = $(LIB)/plugins/MgmtStartdPlugin-plugin.so
</programlisting>
</listitem>

Also:

<listitem>
	<para>
		On all nodes, edit the new <emphasis>40ConsoleMaster</emphasis> file to add the following line:
	</para>
				 
<programlisting>
MASTER.PLUGINS = $(LIB)/plugins/MgmtMasterPlugin-plugin.so
</programlisting>
</listitem>

> 
> The note about the QMF_BROKER_HOST wasn't added/was lost.  Need to add
> something along the lines of:
> QMF_BROKER_HOST needs to be set to the hostname of the machine running the
> broker that the console is talking to.

Err ... isn't that this bit?

<listitem>
	<para>
		On all nodes, edit the new <emphasis>40QMF</emphasis> file to add the following line, with the hostname of the machine running the broker:
	</para>
				 
<programlisting>
QMF_BROKER_HOST = <replaceable>hostname</replaceable></programlisting>
</listitem>

LKB
Comment 7 Jan Sarenik 2010-09-15 04:00:16 EDT
The documentation mentions all the important things now.

Though, there is redundancy in the plugins settings, as
condor-qmf 7.4.4-0.11 introduced 60condor-qmf.config.

Mentioned redundancy does not break functionality so I consider
it all right for 1.3. Any comments, Rob or Pete?
Comment 8 Robert Rati 2010-09-16 16:50:15 EDT
Trevor (tmckay) is handling this section now.  I believe it is getting cleaned up.

Note You need to log in before you can comment on or make changes to this bug.